/**
 *  @file test.h
 *
 */


/**

@defgroup TopGroup  Top Group

A brief description of Top Group.

The opening paragraph.

The second paragraph.  This paragraph has more than one sentence.

A third paragraph.


*/




/**
@defgroup  SubGroup  Sub Group
@ingroup TopGroup

A brief description of Sub Group.

The opening paragraph of Sub Group.

The second paragraph.  This paragraph has more than one sentence.

A third paragraph.

*/

/**
 *  @defgroup test A test group.
 *  @ingroup  TopGroup
 *  Contains a test function to test doxygen processing of actionscript.
*/

/**
 *  @ingroup test
 *  To test documenting a struct
 */
struct testStruct{
    /** A test member.  With details. */
    int testMember;
    /** Another test member.  And some details.
    */
    void *anotherTestMember;

};


/**
 * @ingroup test
 *
 * A test function.
 *
 * This function tests blah blah.
 *
 * @param num  A typed parameter.
 * @param noType An untyped parameter.
 * @param tStrct a testStruct.
 *
 * @return  a number.
 */
int testFn(int num, void noType, testStruct *tStrct )
{

   return 10;

}

